package com.ruoyi.project.training.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.domain.TTrainingbccDevice;

/**
 * 人员-装置级培训关系Mapper接口
 *
 * @author ssy
 * @date 2024-06-19
 */
public interface TTrainingbccDeviceMapper
{
    /**
     * 查询人员-装置级培训关系
     *
     * @param id 人员-装置级培训关系ID
     * @return 人员-装置级培训关系
     */
    public TTrainingbccDevice selectTTrainingbccDeviceById(Long id);

    /**
     * 查询人员-装置级培训关系列表
     *
     * @param tTrainingbccDevice 人员-装置级培训关系
     * @return 人员-装置级培训关系集合
     */
    public List<TTrainingbccDevice> selectTTrainingbccDeviceList(TTrainingbccDevice tTrainingbccDevice);
    public List<TTrainingbccDevice> sortSelectTTrainingbccDeviceList(TTrainingbccDevice tTrainingbccDevice);

    /**
     * 新增人员-装置级培训关系
     *
     * @param tTrainingbccDevice 人员-装置级培训关系
     * @return 结果
     */
    public int insertTTrainingbccDevice(TTrainingbccDevice tTrainingbccDevice);

    /**
     * 修改人员-装置级培训关系
     *
     * @param tTrainingbccDevice 人员-装置级培训关系
     * @return 结果
     */
    public int updateTTrainingbccDevice(TTrainingbccDevice tTrainingbccDevice);

    /**
     * 删除人员-装置级培训关系
     *
     * @param id 人员-装置级培训关系ID
     * @return 结果
     */
    public int deleteTTrainingbccDeviceById(Long id);

    /**
     * 批量删除人员-装置级培训关系
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTrainingbccDeviceByIds(Long[] ids);

    void deleteTTrainingbccDeviceByStaff(TTrainingbccDevice device);

    int countTraining(TTrainingbccDevice device);

    void deleteTTrainingbccDeviceByTrainingbcc(Long[] ids);
}
